Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::HeaderFooterContent Class Reference

Inherits Object.

## Public Member Functions
| HeaderFooterContent (const WString &header_left_content, const WString &header_center_content, const WString &header_right_content, const WString &footer_left_content, const WString &footer_center_content, const WString &footer_right_content)
| Constructor, with parameters. More...
| HeaderFooterContent ()
| Constructor.
| HeaderFooterContent (const HeaderFooterContent &other)
| Constructor, with another header-footer content object. More...
HeaderFooterContent & | operator= (const HeaderFooterContent &other)
| Assign operator. More...
void | Set (const WString &header_left_content, const WString &header_center_content, const WString &header_right_content, const WString &footer_left_content, const WString &footer_center_content, const WString &footer_right_content)
| Set value. More...

## Public Attributes
WString | footer_center_content
| Content for center footer.
WString | footer_left_content
| Content for left footer.
WString | footer_right_content
| Content for right footer.
WString | header_center_content
| Content for center header.
WString | header_left_content
| Content for left header.
WString | header_right_content
| Content for right header.

## Detailed Description

This class represents the header-footer content. Any string member of this class can set directly or be generated by using class HeaderFooterContentGenerator.

See also
  HeaderFooterContentGenerator.

## Constructor & Destructor Documentation

## ◆ HeaderFooterContent() [1/2]

foxit::pdf::HeaderFooterContent::HeaderFooterContent | ( | const WString & | header_left_content,
|  | const WString & | header_center_content,
|  | const WString & | header_right_content,
|  | const WString & | footer_left_content,
|  | const WString & | footer_center_content,
|  | const WString & | footer_right_content
| ) |  |
| inline explicit

Constructor, with parameters.

Parameters

  [in] | header_left_content | Content for left header.
  [in] | header_center_content | Content for center header.
  [in] | header_right_content | Content for right header.
  [in] | footer_left_content | Content for left footer.
  [in] | footer_center_content | Content for center footer.
  [in] | footer_right_content | Content for right footer.

## ◆ HeaderFooterContent() [2/2]

foxit::pdf::HeaderFooterContent::HeaderFooterContent | ( | const HeaderFooterContent & | other | ) |
| inline

Constructor, with another header-footer content object.

Parameters

  [in] | other | Another header-footer content object.

## Member Function Documentation

## ◆ operator=()

HeaderFooterContent& foxit::pdf::HeaderFooterContent::operator= | ( | const HeaderFooterContent & | other | ) |
| inline

Assign operator.

Parameters

  [in] | other | Another header-footer content object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::pdf::HeaderFooterContent::Set | ( | const WString & | header_left_content,
|  | const WString & | header_center_content,
|  | const WString & | header_right_content,
|  | const WString & | footer_left_content,
|  | const WString & | footer_center_content,
|  | const WString & | footer_right_content
| ) |  |
| inline

Set value.

Parameters

  [in] | header_left_content | Content for left header.
  [in] | header_center_content | Content for center header.
  [in] | header_right_content | Content for right header.
  [in] | footer_left_content | Content for left footer.
  [in] | footer_center_content | Content for center footer.
  [in] | footer_right_content | Content for right footer.

Returns
  None.